Package org.eclipse.jdt.core.search

## Class TypeDeclarationMatch

- java.lang.Object
- - org.eclipse.jdt.core.search.SearchMatch
  - - org.eclipse.jdt.core.search.TypeDeclarationMatch

    public class TypeDeclarationMatch
    extends SearchMatch

A Java search match that represents a type declaration. The element is an `IType`.

This class is intended to be instantiated and subclassed by clients.

Since:
  3.0

### Field Summary

### Fields inherited from class org.eclipse.jdt.core.search.SearchMatch

`A_ACCURATE, A_INACCURATE`

### Constructor Summary

Constructors
`TypeDeclarationMatch​(IJavaElement element, int accuracy, int offset, int length, SearchParticipant participant, IResource resource)` Creates a new type declaration match.

### Method Summary

### Methods inherited from class org.eclipse.jdt.core.search.SearchMatch

`getAccuracy, getElement, getLength, getOffset, getParticipant, getResource, getRule, isEquivalent, isErasure, isExact, isImplicit, isInsideDocComment, isRaw, setAccuracy, setElement, setImplicit, setInsideDocComment, setLength, setOffset, setParticipant, setRaw, setResource, setRule, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypeDeclarationMatch

    public TypeDeclarationMatch​(IJavaElement element,
                                int accuracy,
                                int offset,
                                int length,
                                SearchParticipant participant,
                                IResource resource)

Creates a new type declaration match.

Parameters:
  `element` - the type declaration
  `accuracy` - one of A_ACCURATE or A_INACCURATE
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `participant` - the search participant that created the match
  `resource` - the resource of the element